Subject: Re: [PATCH net-next v3] dsa: lan9303: Add 3 ethtool stats

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Nov 2022 15:21:45 -0800

On Mon, 28 Nov 2022 14:55:21 -0600 Jerry Ray wrote:
> These statistics are maintained by the switch and count the packets
> dropped due to buffer limits. Note that the rtnl_link_stats: rx_dropped
> statistic does not include dropped packets due to buffer exhaustion and as
> such, part of this counter would more appropriately fall under the
> rx_missed_errors.

Why not add them there as well?

Are these drops accounted for in any drop / error statistics within
rtnl_link_stats? 

It's okay to provide implementation specific breakdown via ethtool -S
but user must be able to notice that there are some drops / errors in
the system by looking at standard stats.